Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface TaskPlan.Event

All Superinterfaces:
  EventSource.Event

Enclosing interface:
  TaskPlan

    public static interface TaskPlan.Event

extends EventSource.Event

Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Field Summary
`static String` | `COMPLETION_DUE_BUSINESS_DATE`
`static String` | `DESCRIPTION`
`static String` | `LAYOUT` The layout mode (manual, automatic) has changed.
`static String` | `LOAD_BALANCING_AVAIL_CHECK_THRESHOLD`
`static String` | `OWNER_DEFINITION`
`static String` | `PATH`
`static String` | `PROPERTIES` Property representing the collection of properties for this task plan.
`static String` | `RULES` Property representing the collection of rule bindings for this task plan.
`static String` | `STEPS` Property representing the collection of steps for this task plan.
`static String` | `TERMINAL_TASK_RETENTION`
`static String` | `TIME_ESTIMATE`
`static String` | `VERSION`

Fields inherited from interface com.bea.wli.worklist.api.taskplan.EventSource.Event
`DIRTY`

Field Detail

### PATH

    static final String PATH

See Also:
  Constant Field Values

### VERSION

    static final String VERSION

See Also:
  Constant Field Values

### DESCRIPTION

    static final String DESCRIPTION

See Also:
  Constant Field Values

### TIME_ESTIMATE

    static final String TIME_ESTIMATE

See Also:
  Constant Field Values

### COMPLETION_DUE_BUSINESS_DATE

    static final String COMPLETION_DUE_BUSINESS_DATE

See Also:
  Constant Field Values

### OWNER_DEFINITION

    static final String OWNER_DEFINITION

See Also:
  Constant Field Values

### LOAD_BALANCING_AVAIL_CHECK_THRESHOLD

    static final String LOAD_BALANCING_AVAIL_CHECK_THRESHOLD

See Also:
  Constant Field Values

### TERMINAL_TASK_RETENTION

    static final String TERMINAL_TASK_RETENTION

See Also:
  Constant Field Values

### PROPERTIES

    static final String PROPERTIES

  Property representing the collection of properties for this task plan. This field is used in PropertyChangeEvents to indicate that a property has been added or removed to this task plan. If a new child is added, the 'new' field of the PropertyChangeEvent will be populated. If a child is removed, the 'old' field of the PropertyChangeEvent will be populated. Renames will generate a NAME event on the object that was renamed, and *not* this type of event.

  See Also:
    Constant Field Values

### STEPS

    static final String STEPS

  Property representing the collection of steps for this task plan. This field is used in PropertyChangeEvents to indicate that a step has been added to or removed from this task plan. If a new child is added, the 'new' field of the PropertyChangeEvent will be populated. If a child is removed, the 'old' field of the PropertyChangeEvent will be populated. Renames will generate a NAME event on the object that was renamed, and *not* this type of event.

  See Also:
    Constant Field Values

### RULES

    static final String RULES

  Property representing the collection of rule bindings for this task plan. This field is used in PropertyChangeEvents to indicate that a rule has been added to or removed from this task plan. If a new child is added, the 'new' field of the PropertyChangeEvent will be populated. If a child is removed, the 'old' field of the PropertyChangeEvent will be populated. Renames will generate a NAME event on the object that was renamed, and *not* this type of event.

  See Also:
    Constant Field Values

### LAYOUT

    static final String LAYOUT

  The layout mode (manual, automatic) has changed.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD